PDFsharp & MigraDoc Foundation
https://forum.pdfsharp.net/

Error PDFSharp assembly version
https://forum.pdfsharp.net/viewtopic.php?f=2&t=3529
Page 1 of 1

Author:  joseazanadev [ Mon Jan 16, 2017 3:43 pm ]
Post subject:  Error PDFSharp assembly version

Hello guys, I can't compile my project in mvc4 with visual studio 2010, using .net framework 4.0, with pdfsharp, because when I downloaded it, from the nuget package, in the folder downloaded (pdfsharp/lib/) there is a folder net20 with its assembly, but this is for .net framework 2.0, how can I get one for 4.0?, if I add that assembly as a reference in my project, I get this error (It is in spanish, sorry :) )

No se puede cargar el archivo o ensamblado 'PdfSharp, Version=1.50.4000.0, Culture=neutral, PublicKeyToken=f94615aa0424f9eb' ni una de sus dependencias. La definici├│n del manifiesto del ensamblado no coincide con la referencia al ensamblado. (Excepci├│n de HRESULT: 0x80131040)

Thanks for your help.

Author:  Thomas Hoevel [ Mon Jan 16, 2017 4:58 pm ]
Post subject:  Re: Error PDFSharp assembly version

Hi!

You should let the NuGet Package Manager add or remove references. Maybe the problem is related to referencing files from the folders directly.

Maybe Clean and Rebuild will do the trick.

See also:
http://stackoverflow.com/q/93879/162529

If the mismatch of the .NET versions is the problem: Download the source code and set the projects to .NET 4. Recompile and reference the source projects or the DLLs you created.
Source code:
http://pdfsharp.codeplex.com/releases/view/618773

Author:  joseazanadev [ Tue Jan 17, 2017 4:18 pm ]
Post subject:  Re: Error PDFSharp assembly version

Hello Thomas Hoevel , thanks a lot, It worked, I downloaded the source code and I compiled again, but in this case as a target the .net framework 4.0. Then with those new assemblies, I added to my own project.
:D :D :D

Page 1 of 1 All times are UTC
Powered by phpBB® Forum Software © phpBB Group
https://www.phpbb.com/